<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="InfluxDB.Client" Version="4.14.0"/>
        <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="8.0.0"/>
        <PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="8.0.1"/>
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.11"/>
        <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.11"/>
        <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="8.0.10"/>
        <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.11"/>
    </ItemGroup>

    <ItemGroup>
        <Folder Include="Migrations\"/>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Managing.Application.Abstractions\Managing.Application.Abstractions.csproj"/>
        <ProjectReference Include="..\Managing.Domain\Managing.Domain.csproj"/>
    </ItemGroup>
</Project>
